#ifndef QEI_H_
#define QEI_H_

#define QEI0_PINS 		(GPIO_PIN_4 | GPIO_PIN_5)
#define QEI0_PORT 		GPIO_PORTH_BASE
#define QEI1_PINS 		(GPIO_PIN_5 | GPIO_PIN_6)
#define QEI1_PORT 		GPIO_PORTC_BASE
#define QEI0_BUT_PIN	GPIO_PIN_6
#define QEI1_BUT_PIN	GPIO_PIN_7
#define QEI0_BUT_PORT	GPIO_PORTH_BASE
#define QEI1_BUT_PORT	GPIO_PORTH_BASE
#define QEI0_BUT_INTR   INT_GPIOH
#define QEI1_BUT_INTR   INT_GPIOH

void QEIinit();
void setQEIMax(int maximum, int base);
void QEI0Handler(void);
void QEI1Handler(void);

#endif /* QEI_H_ */
